https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}Deletes an issue. An issue cannot be deleted if it has one or more subtasks. To delete an issue with subtasks, set `deleteSubtasks`. This causes the issue's subtasks to be deleted with the issue. This operation can be accessed anonymously. **Permissions required:** * *Browse projects* and *Delete issues* project permission for the project containing the issue. * If issue-level security is configured, issue-level security permission to view the issue.
The ID or key of the issue.
Whether the issue's subtasks are deleted when the issue is deleted.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}Deletes an issue. An issue cannot be deleted if it has one or more subtasks. To delete an issue with subtasks, set `deleteSubtasks`. This causes the issue's subtasks to be deleted with the issue. This operation can be accessed anonymously. **Permissions required:** * *Browse projects* and *Delete issues* project permission for the project containing the issue. * If issue-level security is configured, issue-level security permission to view the issue.
The ID or key of the issue.
Whether the issue's subtasks are deleted when the issue is deleted.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}